## kamailio 5.6.4+provoice1

=== debian/changelog ===
kamailio (5.6.4+provoice1) jammy; urgency=medium

  * Release for ProVoice on Ubuntu 22.04 LTS

 -- Thomas Lobker <thomas@mediaserve.nl>  Mon, 27 Mar 2023 14:40:40 +0000

kamailio (5.6.4) unstable; urgency=medium

  * version set 5.6.4

 -- Victor Seva <vseva@debian.org>  Mon, 27 Feb 2023 10:00:12 +0100

kamailio (5.6.3) unstable; urgency=medium

  * version set 5.6.3

 -- Victor Seva <vseva@debian.org>  Wed, 11 Jan 2023 09:06:01 +0100

kamailio (5.6.2) unstable; urgency=medium

  * version set 5.6.2

 -- Victor Seva <vseva@debian.org>  Thu, 06 Oct 2022 10:35:53 +0200

kamailio (5.6.1) unstable; urgency=medium

  * version set 5.6.1

 -- Victor Seva <vseva@debian.org>  Wed, 06 Jul 2022 09:59:31 +0200

kamailio (5.6.0) unstable; urgency=medium

  * version set 5.6.0

 -- Victor Seva <vseva@debian.org>  Mon, 23 May 2022 09:28:48 +0200

kamailio (5.6.0~rc1) unstable; urgency=medium

  * version set 5.6.0-rc1

 -- Victor Seva <vseva@debian.org>  Mon, 16 May 2022 15:08:07 +0200

kamailio (5.6.0~rc0) unstable; urgency=medium

  * version set 5.6.0-rc0

 -- Victor Seva <vseva@debian.org>  Thu, 05 May 2022 12:51:49 +0200

kamailio (5.6.0~pre1) unstable; urgency=medium

  * version set 5.6.0-pre1

 -- Victor Seva <vseva@debian.org>  Thu, 28 Apr 2022 09:45:55 +0200

kamailio (5.6.0~pre0) unstable; urgency=medium

  * version set 5.6.0-pre0

 -- Victor Seva <vseva@debian.org>  Fri, 15 Apr 2022 09:03:42 +0200

kamailio (5.6.0~dev3) unstable; urgency=medium

  * version set 5.6.0-dev3 

 -- Victor Seva <vseva@debian.org>  Tue, 11 Jan 2022 09:29:18 +0100

kamailio (5.6.0~dev2) unstable; urgency=medium

  * version set 5.6.0-dev2 

 -- Victor Seva <vseva@debian.org>  Thu, 04 Nov 2021 11:30:21 +0100

kamailio (5.6.0~dev1) unstable; urgency=medium

  * version set 5.6.0-dev1

 -- Victor Seva <vseva@debian.org>  Fri, 27 Aug 2021 12:33:08 +0200

kamailio (5.6.0~dev0) unstable; urgency=medium

  * version set 5.6.0-dev0

 -- Victor Seva <vseva@debian.org>  Fri, 23 Apr 2021 11:27:18 +0200

=== debian/control ===
Source: kamailio
Section: net
Priority: optional
Maintainer: Kamailio Admin Group <kadmin.hq@lists.kamailio.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 bison,
 debhelper (>= 9),
 default-libmysqlclient-dev,
 dh-systemd (>= 1.5) | debhelper (>= 9),
 docbook-xml,
 dpkg-dev (>= 1.16.1.1),
 erlang-dev,
 flex,
 libcurl4-openssl-dev,
 libdb-dev (>= 4.6.19),
 libev-dev,
 libevent-dev,
 libexpat1-dev,
 libgeoip-dev (>= 1.4.5),
 libhiredis-dev (>= 0.10.0),
 libjansson-dev,
 libjson-c-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 libmaxminddb-dev,
 libmemcached-dev,
 libmnl-dev,
 libmongoc-dev,
 libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
 libmosquitto-dev,
 libncurses5-dev,
 libpcre3-dev,
 libperl-dev,
 libphonenumber-dev (>= 7),
 libpq-dev,
 librabbitmq-dev,
 libradcli-dev,
 libreadline-dev,
 libsasl2-dev,
 libsctp-dev [any],
 libsnmp-dev,
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev,
 libunistring-dev,
 libwebsockets-dev,
 libxml2-dev,
 openssl,
 pkg-config,
 python | python2,
 python-dev | python2-dev,
 python3,
 python3-dev,
 ruby-dev,
 unixodbc-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev,
Standards-Version: 4.6.0.1
Homepage: http://www.kamailio.org/
Vcs-Git: https://github.com/kamailio/kamailio.git
Vcs-Browser: https://github.com/kamailio/kamailio/
Rules-Requires-Root: no

Package: kamailio
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 lsb-base,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-carrierroute-modules,
Suggests:
 kamailio-berkeley-modules,
 kamailio-cpl-modules,
 kamailio-dbg,
 kamailio-ldap-modules,
 kamailio-lua-modules,
 kamailio-mysql-modules,
 kamailio-perl-modules,
 kamailio-postgres-modules,
 kamailio-presence-modules,
 kamailio-python-modules,
 kamailio-radius-modules,
 kamailio-snmpstats-modules,
 kamailio-tls-modules,
 kamailio-unixodbc-modules,
 kamailio-xml-modules,
 kamailio-xmpp-modules,
 stun-server | turn-server,
Provides:
 sip-router,
Description: very fast, dynamic and configurable SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, kamailio can handle thousands requests
 per second even on low-budget hardware. It can be configured to act
 as a SIP proxy, application server, session border controller,
 or call load balancer to handle a set of media servers.
 .
 A C Shell like scripting language provides full control over the server's
 behaviour. It's easy to integrate Kamailio with 3rd party API's and applications
 using HTTP, AMQP, database drivers, LDAP, Radius and many other solutions.
 In addition there is support for scripting using Lua, Python, Perl, Java and
 a set of other languages using Mono.
 .
 Kamailio's modular architecture allows only required functionality to be loaded.
 There are over 100 modules available: WebSockets for WebRTC, authentication,
 multiple databases - both traditional SQL databases as well as no-SQL,
 message bus systems like Rabbit MQ, instant messaging, a presence agent,
 integration with REST-ful APIs using HTTP and JSON or XML,
 radius authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
 transaction and dialog module, OSP module, statistics support,
 registrar and user location services, SNMP, SIMPLE Presence and much more.
 .
 This package contains the main Kamailio binary along with the principal modules
 and support binaries.

Package: kamailio-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
Description: very fast and configurable SIP server [debug symbols]
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package contains the debugging symbols for the Kamailio binaries and
 modules. You only need to install it if you need to debug Kamailio.

Package: kamailio-geoip-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The geoip module for the Kamailio SIP Server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip module, an extension enabling
 usage of the GeoIP API within the Kamailio configuration file.

Package: kamailio-geoip2-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The geoip2 module for the Kamailio SIP Server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip2 module, an extension enabling
 real-time queries against the Max Mind GeoIP2 database within the Kamailio
 configuration file.

Package: kamailio-sqlite-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sqlite3,
Description: SQLite database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SQLite database driver for Kamailio.

Package: kamailio-json-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Json parser and Json-RPC modules for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a JSON parser for use in the Kamailio
 configuration file and the JSON-RPC client over netstrings.

Package: kamailio-memcached-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-memcached-module,
Description: interface to the memcached server, for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the memcached module, an interface to the memcached
 server, a high-performance, distributed memory object caching system.

Package: kamailio-lua-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The app_lua module for Kamailio Lua support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_lua module, an extension allowing to
 execute embedded Lua applications within the configuration file as
 well as writing the entire configuration file in Lua.

Package: kamailio-mono-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The app_mono module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_mono module, an extension allowing to
 execute embedded Mono applications within the Kamailio SIP routing script.

Package: kamailio-python-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The app_python module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_python module, an extension allowing to
 execute embedded Python applications within the Kamailio SIP routing script.

Package: kamailio-python3-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The app_python3 module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_python3 module, an extension allowing to
 execute embedded Python applications within the Kamailio SIP routing script.

Package: kamailio-ruby-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: The app_ruby module for Kamailio Ruby support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_ruby module, an extension allowing to
 execute embedded Ruby applications within the Kamailio SIP routing script.

Package: kamailio-redis-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Redis database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the Redis NOSQL database driver for Kamailio.

Package: kamailio-mysql-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 default-mysql-client | virtual-mysql-client,
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: MySQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for Kamailio.

Package: kamailio-postgres-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 postgresql-client,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for Kamailio.

Package: kamailio-cpl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: CPL module (CPL interpreter engine) for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 Kamailio, turning Kamailio into a CPL server (storage and interpreter).

Package: kamailio-radius-modules
Architecture: any
Multi-Arch: same
Breaks:
 kamailio (<<5.1),
Replaces:
 kamailio (<<5.1),
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: RADIUS modules for the Kamailio SIP server

## kamailio 5.7.0

=== src/Makefile ===
# Kamailio makefile
#
# WARNING: requires gmake (GNU Make)
#  Arch supported: Linux, FreeBSD, SunOS (tested on Solaris 8), OpenBSD (3.2),
#  NetBSD (1.6), OS/X
#

# check make version
# everything works with 3.80, except evals inside ifeq/endif
# (see https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=1516).
# recommended 3.81
req_ver=3.81
# the check below works for version number of the type x.yy or x.yy.z*
# (from the GNU Make Cookbook)
ifeq (,$(filter $(req_ver),$(firstword $(sort $(MAKE_VERSION) $(req_ver)))))
$(error make version $(MAKE_VERSION) not supported, use at least $(req_ver))
endif


auto_gen=core/lex.yy.c core/cfg.tab.c #lexx, yacc etc
auto_gen_others=core/cfg.tab.h # auto generated, non-c
auto_gen_keep=core/autover.h # auto generated, should be included in archives

COREPATH=.
#include  source related defs
include Makefile.sources
#include special targets lists
include Makefile.targets

# whether or not the entire build process should fail if building a module or
#  a utility fails
err_fail?=1

# whether or not to install $(MAIN_NAME).cfg or just $(MAIN_NAME).cfg.default
# ($(MAIN_NAME).cfg will never be overwritten by make install, this is usefull
#  when creating packages)
skip_cfg_install?=

#extra modules to exclude
skip_modules?=

# see Makefile.dirs for the directories used for the modules
include Makefile.dirs

# Set document format
# Alternatives are txt, html, xhtml, and pdf (see Makefile.doc)
doc_format?=html

# don't force modules.lst generation if the makefile goals do not
# require it (but if present use it)
ifeq (,$(strip $(filter-out $(clean_targets) $(aux_targets),$(MAKECMDGOALS))))
ifneq (,$(strip $(wildcard modules.lst)))
-include modules.lst
endif
else
include modules.lst
endif # ifneq (,$(strip $(filter-out ...,$(MAKECMDGOALS))))

#if called with group_include, ignore the modules from modules.lst
ifneq ($(group_include),)
	include_modules=
	exclude_modules=
	modules_configured:=0
endif

# get the groups of modules to compile
include Makefile.groups

# - automatically build the list of excluded modules
# if not set on the cmd. line, env or in the modules.lst (cfg_group_include)
# exclude the below modules.
ifneq ($(group_include)$(cfg_group_include),)
	# For group_include, default all modules are excluded except those in
	# include_modules
	exclude_modules?=
else
	# Old defaults for backwards compatibility
	# excluded because they depend on external libraries
ifeq ($(origin exclude_modules), undefined)
	exclude_modules:= $(sort \
				$(filter-out $(module_group_default), $(mod_list_all)))
endif
endif

# always add skip_modules list - it is done now in modules.lst (dcm)
# override exclude_modules+= $(skip_modules)

# Test for the groups and add to include_modules
ifneq (,$(group_include))
$(eval override include_modules+= $(foreach grp, $(group_include), \
										$(module_group_$(grp)) ))
endif

ALLDEP=config.mak Makefile Makefile.dirs Makefile.sources Makefile.rules

#include general defs (like CC, CFLAGS  a.s.o)
# hack to force makefile.defs re-inclusion (needed when make calls itself with
# other options -- e.g. make bin)
#makefile_defs=0
#C_DEFS:=


# try saved cfg, unless we are in the process of building it or if we're doing
# a clean
ifeq (,$(strip \
	$(filter config.mak config cfg cfg-defs $(clean_targets),$(MAKECMDGOALS))))
include config.mak
ifeq ($(makefile_defs),1)
ifeq ($(quiet),verbose)
$(info config.mak loaded)
endif # verbose
export makefile_defs
# config_make valid & used
config_mak=1
ifeq ($(MAIN_NAME),)
$(error "bad config.mak, try re-running make cfg")
endif
endif
else # config.mak doesn't need to be used
ifneq (,$(filter cfg config cfg-defs,$(word 1,$(MAKECMDGOALS))))
# needed here to avoid starting a config submake 
# (e.g. rm -f config.mak; make config.mak), which would either require 
# double Makefile.defs defines execution (suboptimal), would loose
# $(value ...) expansion or would cause some warning (if Makefile.defs exec. 
# is skipped in the "main" makefile invocation).
$(shell rm -rf config.mak)
config_mak=0
makefile_defs=0
exported_vars=0
else
# config.mak not strictly needed, but try to load it if exists for $(Q)
config_mak=skip
-include config.mak
export makefile_defs
endif
endif


main_makefile=1
include Makefile.defs

static_modules_path=$(addprefix modules/, $(static_modules))
extra_sources=$(wildcard $(addsuffix /*.c, $(static_modules_path)))
extra_objs=$(extra_sources:.c=.o)

static_defs:= $(foreach  mod, $(static_modules), \
		-DSTATIC_$(shell echo $(mod) | tr [:lower:] [:upper:]) )

override extra_defs+=$(static_defs) $(EXTRA_DEFS)
export extra_defs

# Historically, the resultant set of modules is: modules/* - exclude_modules +
# include_modules
# When group_include is used, we want: include_modules (based on group_include)
# - exclude_modules

ifneq ($(modules_configured),1) 
#modules_all=$(filter-out modules/CVS,$(wildcard modules/*))

# create modules*_all vars
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_all=$$(filter-out $(mods)/CVS,$$(wildcard $(mods)/*))))
#debugging
#$(foreach mods,$(modules_dirs),$(info "$(mods)_all=$($(mods)_all)"))

ifneq ($(group_include),)
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)=$$(filter-out $$(addprefix $(mods)/, \
			$$(exclude_modules) $$(static_modules)), \
			$$(addprefix $(mods)/, $$(include_modules) )) ))
else	
	# Standard, old resultant set
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_noinc=$$(filter-out $$(addprefix $(mods)/, \
			$$(exclude_modules) $$(static_modules)), $$($(mods)_all)) \
))
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)=$$(filter-out $$(modules_noinc), \
			$$(addprefix $(mods)/, $$(include_modules) )) $$($(mods)_noinc) \
))
endif # ifneq($(group_include),)
endif # ifneq($(modules_configured),1)

$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_names=$$(shell echo $$($(mods))| \
				sed -e "s/$(mods)"'\/\([^/ ]*\)\/*/\1.so/g' ) \
))
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_basenames:=$$(shell echo $$($(mods))| \
				sed -e "s/$(mods)"'\/\([^/ ]*\)\/*/\1/g' ) \
))

# all modules from all the $(modules_dirs)
all_modules_lst=$(foreach mods,$(modules_dirs), $($(mods)_all))

# compile modules list (all the compiled mods from  $(modules_dirs))
cmodules=$(foreach mods,$(modules_dirs), $($(mods)))

#modules_names=$(patsubst modules/%, %.so, $(modules))
#modules_full_path=$(join  $(modules), $(addprefix /, $(modules_names)))



# list of utils directories that should be compiled by make utils
C_COMPILE_UTILS= # kamcmd is now installed by ctl
# list of binaries that should be installed alongside
# (they should be created after make utils, see C_COMPILE_UTILS)
C_INSTALL_BIN=	# kamcmd is now installed by ctl

# which utils know to install themselves and should be installed
# along the core (list of utils directories)
ifeq ($(FLAVOUR),kamailio)
C_INSTALL_UTILS= ../utils/kamctl
else
C_INSTALL_UTILS=
endif
# list of scripts that should be installed along the core 
# (here a script is something that doesn't have a Makefile)
C_INSTALL_SCRIPTS=
# list of extra configs that should be installed along the core
# Note: all the paths of the form /usr/*lib/$(CFG_NAME)/<module_dir>
# will be updated to the directory where the modules will be installed.
C_INSTALL_CFGS=
# list of files that should be installed in the arch-independent 
# directory (by default /usr/local/share/$(MAIN_NAME)))
C_INSTALL_SHARE=




NAME=$(MAIN_NAME)

tar_name=$(NAME)-$(RELEASE)_src

tar_extra_args+=$(addprefix --exclude=$(notdir $(CURDIR))/, \
					$(auto_gen) $(auto_gen_others))
ifeq ($(CORE_TLS), 1)
	tar_extra_args+=
else
	tar_extra_args+=--exclude=$(notdir $(CURDIR))/tls/* 
endif

ifneq ($(nodeb),)
	tar_extra_args+=--exclude=$(notdir $(CURDIR))/debian 
	tar_name:=$(tar_name)_nodeb
endif

# sanity checks
ifneq ($(TLS),)
        $(warning "make TLS option is obsoleted, try TLS_HOOKS or CORE_TLS")
endif

# include the common rules
include Makefile.rules

#extra targets

$(NAME): $(extra_objs) # static_modules

core/lex.yy.c: core/cfg.lex core/cfg.tab.h $(ALLDEP)
	$(LEX) -o core/lex.yy.c $<

core/cfg.tab.c core/cfg.tab.h: core/cfg.y  $(ALLDEP)
	$(YACC) $(YACC_FLAGS) $<

nullstring=
space=$(nullstring) $(nullstring)

modules_search_path=$(subst $(space),:,$(strip\
						$(foreach m,$(modules_dirs),$($(m)_target))))
		#				$(addprefix $(modules_target),$(modules_dirs))))

# special depends for main.o
main.o: DEFS+=-DMODS_DIR='"$(modules_search_path)"'


#special depends for ver.c
core/ver.d core/ver.o: core/autover.h

include Makefile.shared

ifeq ($(config_mak),1)

include Makefile.cfg

# fix basedir path (relative -> absolute)
ifneq (,$(basedir))
ifeq (,$(filter /%, $(basedir)))
override basedir:=$(CURDIR)/$(basedir)
# remove basedir from command line overrides
MAKEOVERRIDES:=$(filter-out basedir=%,$ $(MAKEOVERRIDES))
endif # (,$(filter /%, $(basedir)))
endif # (,$(basedir))

else ifneq ($(config_mak),skip)

config.mak: Makefile.defs Makefile.groups
	@echo making config...
	@echo "# this file is autogenerated by make cfg" >$@
	@$(call mapf2,cfg_save_var,saved_fixed_vars,$(@))
	@$(call mapf2,cfg_save_var2,saved_chg_vars,$(@))
	@echo "override makefile_defs:=1" >>$@
	@echo "C_DEFS:=\$$(filter-out \$$(DEFS_RM) \$$(extra_defs),\$$(C_DEFS))" \
					"\$$(extra_defs)"  >>$@
	@echo "CFLAGS:=\$$(filter-out \$$(CFLAGS_RM) \$$(CC_EXTRA_OPTS)," \
						"\$$(CFLAGS)) \$$(CC_EXTRA_OPTS)" >>$@

endif # ifeq ($(config_mak),1)

modules.lst: Makefile.groups
	@echo  saving modules list...
	@echo "# this file is autogenerated by make modules-cfg" >$@
	@echo >>$@
	@echo "# the list of sub-directories with modules" >>$@
	@echo "modules_dirs:=$(modules_dirs)" >>$@
	@echo >>$@
	@echo "# the list of module groups to compile" >>$@
	@echo "cfg_group_include=$(group_include)" >>$@
	@echo >>$@
	@echo "# the list of extra modules to compile" >>$@
	@$(call cfg_save_var2,include_modules,$@)
	@echo >>$@
	@echo "# the list of static modules" >>$@
	@$(call cfg_save_var2,static_modules,$@)
	@echo >>$@
	@echo "# the list of modules to skip from compile list" >>$@
	@$(call cfg_save_var2,skip_modules,$@)
	@echo >>$@
	@echo "# the list of modules to exclude from compile list" >>$@
	@$(call cfg_save_var3,exclude_modules,skip_modules,$@)
	@echo >>$@
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods)_all,$@))
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods)_noinc,$@))
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods),$@))
	@echo "modules_configured:=1" >>$@


.PHONY: cfg config cfg-defs
cfg-defs: config.mak

cfg config: cfg-defs modules-cfg

.PHONY: modules-cfg modules-list modules-lst
modules-cfg modules-list modules-lst:
	rm -f modules.lst
	$(MAKE) modules.lst

ifneq ($(wildcard ../.git),)
# if .git/ exists
repo_ver=$(shell  RV=`git rev-parse --verify --short=6 HEAD 2>/dev/null`;\
					[ -n "$$RV" ] && \
					test -n "`git update-index --refresh --unmerged >/dev/null\
							; git diff-index --name-only HEAD 2>/dev/null | \
								grep -v Makefile`" &&\
						RV="$$RV"-dirty; echo "$$RV")
repo_hash=$(subst -dirty,,$(repo_ver))
repo_state=$(subst %-dirty,dirty,$(findstring -dirty,$(repo_ver)))
autover_h_dep=../.git $(filter-out $(auto_gen), $(sources)) core/cfg.y core/cfg.lex Makefile
else
# else if .git/ does not exist
repo_ver=
repo_hash="unknown"
repo_state=
autover_h_dep=
endif


core/autover.h: $(autover_h_dep)
	@echo  "generating core/autover.h ..."
	@echo "/* this file is autogenerated by make core/autover.h" >$@
	@echo " * DO NOT EDIT IT" >>$@
	@echo " */" >>$@
	@echo "" >>$@
	@echo "#define REPO_VER \"$(repo_ver)\"" >>$@
	@echo "#define REPO_HASH \"$(repo_hash)\"" >>$@
	@echo "#define REPO_STATE \"$(repo_state)\"" >>$@

.PHONY: all
all: $(NAME) every-module

.PHONY: print-modules
print-modules:
	@echo The following modules were chosen to be included: \
		$(include_modules) ; \
	echo ---------------------------------------------------------- ; \
	echo The following modules will be excluded: $(exclude_modules) ; \

=== src/modules/tls_wolfssl/Makefile ===
#
# TLS module makefile
#
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=tls_wolfssl.so

WOLFSSL_PREFIX = ../../../misc/external/wolfssl/build
WOLFSSL_SRC = ../../../misc/external/wolfssl/wolfssl

LIBS += $(WOLFSSL_PREFIX)/lib/libwolfssl.a
INCLUDES += -I$(WOLFSSL_PREFIX)/include/

include ../../Makefile.modules
$(objs): $(WOLFSSL_PREFIX)/include/wolfssl/options.h

$(WOLFSSL_PREFIX)/include/wolfssl/options.h $(WOLFSSL_PREFIX)/lib/libwolfssl.a:
	@cd $(WOLFSSL_SRC); \
	if [ ! -f "configure" ]; then \
		./autogen.sh; \
	fi; \
	if [ ! -f "Makefile" ]; then \
		env -u DEFS -u CFLAGS -u LDFLAGS -u LIBS EXTRA_CFLAGS="-g -fPIC" ./configure \
		--enable-all --enable-pkcs11 --enable-static --enable-writedup \
		--disable-aligndata --disable-shared --disable-examples \
		--disable-jni --disable-crl-monitor \
		--prefix=$(CURDIR)/$(WOLFSSL_PREFIX) \
		--exec-prefix=$(CURDIR)/$(WOLFSSL_PREFIX); \
	fi;
	@$(MAKE) -C $(WOLFSSL_SRC) install

$(NAME): $(WOLFSSL_PREFIX)/lib/libwolfssl.a

clean-wolfssl:
	@rm -rf $(WOLFSSL_PREFIX)/{bin,include,share,lib}; \
	(cd $(WOLFSSL_SRC); make distclean) || /bin/true

clean-module:
	@rm -f *.o *.so

clean-all: clean-wolfssl clean-module

.PHONY: clean-wolfssl clean-module clean-all

# debugging for dependency on lib/wolfssl
$(warning sources = $(sources), auto_gen = $(auto_gen), objs = $(objs))

=== debian/changelog ===
kamailio (5.7.0-1build1) mantic; urgency=medium

  * Rebuild against new libwebsockets19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jul 2023 13:04:18 +0200

kamailio (5.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Victor Seva ]
  * New upstream version 5.7.0
  * remove already applied patches
  * remove lsb-base and use libncurses-dev
  * postinst: use /run instead of /var/run for kamailio user home

 -- Victor Seva <vseva@debian.org>  Fri, 19 May 2023 11:49:49 +0200

kamailio (5.6.4-1) unstable; urgency=medium

  * New upstream version 5.6.4
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Tue, 09 May 2023 23:50:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: kamailio
 Section: net
 Priority: optional
-Maintainer: Kamailio Admin Group <kadmin.hq@lists.kamailio.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  bison,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  default-libmysqlclient-dev,
- dh-systemd (>= 1.5) | debhelper (>= 9),
  docbook-xml,
- dpkg-dev (>= 1.16.1.1),
  erlang-dev,
  flex,
  libcurl4-openssl-dev,
- libdb-dev (>= 4.6.19),
+ libdb-dev,
  libev-dev,
  libevent-dev,
  libexpat1-dev,
- libgeoip-dev (>= 1.4.5),
- libhiredis-dev (>= 0.10.0),
+ libgeoip-dev,
+ libhiredis-dev,
  libjansson-dev,
  libjson-c-dev,
  libldap2-dev,
@@ -30,27 +28,27 @@
  libmongoc-dev,
  libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
  libmosquitto-dev,
- libncurses5-dev,
+ libnats-dev,
+ libncurses-dev,
  libpcre3-dev,
  libperl-dev,
- libphonenumber-dev (>= 7),
+ libphonenumber-dev,
  libpq-dev,
  librabbitmq-dev,
  libradcli-dev,
  libreadline-dev,
  libsasl2-dev,
- libsctp-dev [any],
+ libsctp-dev [linux-any],
+ libsecsipid-dev [amd64 arm64 armel armhf hurd-i386 i386 powerpc ppc64 ppc64el riscv64 s390x],
  libsnmp-dev,
  libsqlite3-dev,
  libssl-dev,
  libsystemd-dev,
+ libwebsockets-dev,
  libunistring-dev,
- libwebsockets-dev,
  libxml2-dev,
  openssl,
  pkg-config,
- python | python2,
- python-dev | python2-dev,
  python3,
  python3-dev,
  ruby-dev,
@@ -60,8 +58,8 @@
  zlib1g-dev,
 Standards-Version: 4.6.0.1
 Homepage: http://www.kamailio.org/
-Vcs-Git: https://github.com/kamailio/kamailio.git
-Vcs-Browser: https://github.com/kamailio/kamailio/
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/kamailio.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/kamailio/
 Rules-Requires-Root: no
 
 Package: kamailio
@@ -71,7 +69,6 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
- lsb-base,
  python3,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -80,15 +77,16 @@
 Suggests:
  kamailio-berkeley-modules,
  kamailio-cpl-modules,
- kamailio-dbg,
  kamailio-ldap-modules,
  kamailio-lua-modules,
+ kamailio-mono-modules,
  kamailio-mysql-modules,
  kamailio-perl-modules,
  kamailio-postgres-modules,
  kamailio-presence-modules,
- kamailio-python-modules,
+ kamailio-python3-modules,
  kamailio-radius-modules,
+ kamailio-redis-modules,
  kamailio-snmpstats-modules,
  kamailio-tls-modules,
  kamailio-unixodbc-modules,
@@ -105,40 +103,22 @@
  or call load balancer to handle a set of media servers.
  .
  A C Shell like scripting language provides full control over the server's
- behaviour. It's easy to integrate Kamailio with 3rd party API's and applications
- using HTTP, AMQP, database drivers, LDAP, Radius and many other solutions.
- In addition there is support for scripting using Lua, Python, Perl, Java and
- a set of other languages using Mono.
- .
- Kamailio's modular architecture allows only required functionality to be loaded.
- There are over 100 modules available: WebSockets for WebRTC, authentication,
- multiple databases - both traditional SQL databases as well as no-SQL,
- message bus systems like Rabbit MQ, instant messaging, a presence agent,
- integration with REST-ful APIs using HTTP and JSON or XML,
- radius authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
+ behaviour. It's easy to integrate Kamailio with 3rd party API's and
+ applications using HTTP, AMQP, database drivers, LDAP, Radius and many other
+ solutions. In addition there is support for scripting using Lua, Python, Perl,
+ Java and a set of other languages using Mono.
+ .
+ Kamailio's modular architecture allows only required functionality to be
+ loaded. There are over 100 modules available: WebSockets for WebRTC,
+ authentication, multiple databases - both traditional SQL databases as well as
+ no-SQL, message bus systems like Rabbit MQ, instant messaging, a presence
+ agent, integration with REST-ful APIs using HTTP and JSON or XML, radius
+ authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
  transaction and dialog module, OSP module, statistics support,
  registrar and user location services, SNMP, SIMPLE Presence and much more.
  .
- This package contains the main Kamailio binary along with the principal modules
- and support binaries.
-
-Package: kamailio-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
-Description: very fast and configurable SIP server [debug symbols]
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
- per second even on low-budget hardware.
- .
- This package contains the debugging symbols for the Kamailio binaries and
- modules. You only need to install it if you need to debug Kamailio.
+ This package contains the main Kamailio binary along with the principal
+ modules and support binaries.
 
 Package: kamailio-geoip-modules
 Architecture: any
@@ -149,7 +129,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: The geoip module for the Kamailio SIP Server
+Description: geoip module for the Kamailio SIP Server
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -158,15 +138,15 @@
  usage of the GeoIP API within the Kamailio configuration file.
 
 Package: kamailio-geoip2-modules
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: The geoip2 module for the Kamailio SIP Server
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: geoip2 module for the Kamailio SIP Server
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -194,7 +174,7 @@
  This package provides the SQLite database driver for Kamailio.
 
 Package: kamailio-json-modules
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
@@ -238,7 +218,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: The app_lua module for Kamailio Lua support
+Description: app_lua module for Kamailio Lua support
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -248,15 +228,15 @@
  well as writing the entire configuration file in Lua.
 
 Package: kamailio-mono-modules
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: The app_mono module for the Kamailio SIP server
+Architecture: amd64 armel i386 mipsel powerpc powerpcspe ppc64 s390x
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: app_mono module for the Kamailio SIP server
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -264,23 +244,6 @@
  This package provides the app_mono module, an extension allowing to
  execute embedded Mono applications within the Kamailio SIP routing script.
 
-Package: kamailio-python-modules
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: The app_python module for the Kamailio SIP server
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
- per second even on low-budget hardware.
- .
- This package provides the app_python module, an extension allowing to
- execute embedded Python applications within the Kamailio SIP routing script.
-
 Package: kamailio-python3-modules
 Architecture: any
 Multi-Arch: same
@@ -290,7 +253,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: The app_python3 module for the Kamailio SIP server
+Description: app_python3 module for the Kamailio SIP server
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -307,7 +270,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: The app_ruby module for Kamailio Ruby support
+Description: app_ruby module for Kamailio Ruby support
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -385,10 +348,6 @@
 Package: kamailio-radius-modules
 Architecture: any
 Multi-Arch: same
-Breaks:
- kamailio (<<5.1),
-Replaces:
- kamailio (<<5.1),
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
@@ -396,3 +355,38 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: RADIUS modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides a set of RADIUS modules for Kamailio, for
+ authentication, peering, group membership and messages URIs checking against a
+ RADIUS server.
+
+Package: kamailio-unixodbc-modules
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: unixODBC database connectivity module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the unixODBC database driver for Kamailio.
+
+Package: kamailio-presence-modules
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: SIP presence modules for Kamailio
+ Kamailio is a very fast and flexible SIP (RFC3261)

## kamailio 5.7.3

=== src/modules/tls_wolfssl/Makefile ===
--- 
+++ 
@@ -23,14 +23,14 @@
 		./autogen.sh; \
 	fi; \
 	if [ ! -f "Makefile" ]; then \
-		env -u DEFS -u CFLAGS -u LDFLAGS -u LIBS EXTRA_CFLAGS="-g -fPIC" ./configure \
+		env -u DEFS -u CFLAGS -u LDFLAGS -u LIBS EXTRA_CFLAGS="-g -O2 -fPIC" ./configure \
 		--enable-all --enable-pkcs11 --enable-static --enable-writedup \
 		--disable-aligndata --disable-shared --disable-examples \
 		--disable-jni --disable-crl-monitor \
 		--prefix=$(CURDIR)/$(WOLFSSL_PREFIX) \
 		--exec-prefix=$(CURDIR)/$(WOLFSSL_PREFIX); \
 	fi;
-	@$(MAKE) -C $(WOLFSSL_SRC) install
+	@$(MAKE) -C $(WOLFSSL_SRC) prefix=$(CURDIR)/$(WOLFSSL_PREFIX) exec-prefix=$(CURDIR)/$(WOLFSSL_PREFIX) install
 
 $(NAME): $(WOLFSSL_PREFIX)/lib/libwolfssl.a

=== debian/changelog ===
kamailio (5.7.3-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 18:04:14 +0000

kamailio (5.7.3-1build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 04:22:10 +0100

kamailio (5.7.3-1) unstable; urgency=medium

  * New upstream version 5.7.3
  * refresh patches

 -- Victor Seva <vseva@debian.org>  Mon, 20 Nov 2023 12:54:26 +0100

kamailio (5.7.2-1) unstable; urgency=medium

  * New upstream version 5.7.2
  * pcre2 migration (Closes: #1000134)
  * refresh patches

 -- Victor Seva <vseva@debian.org>  Fri, 29 Sep 2023 16:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libmosquitto-dev,
  libnats-dev,
  libncurses-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libperl-dev,
  libphonenumber-dev,
  libpq-dev,
